import type { InputBaseProps } from '../../atoms/InputBase/InputBase';
interface InputTelephoneProps extends InputBaseProps {
    transformInput?: (input: string) => string;
}
export declare const InputTelephone: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<InputTelephoneProps> & {
    ref?: import("preact").Ref<HTMLInputElement> | undefined;
}>;
export {};
